## ifplugd 0.28

=== debian/changelog ===
ifplugd (0.28-19.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Release to unstable. (Closes: #1057781)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 08 Dec 2023 13:38:30 +0100

ifplugd (0.28-19.6) experimental; urgency=medium

  * Non-maintainer upload.
  * Delegate placement of udev files to pkg-config data (Bug: #1057781)
  * Build-Depends: Switch from pkg-config to pkgconf

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 08 Dec 2023 13:38:22 +0100

ifplugd (0.28-19.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957355)
    - Thanks to Luis Paulo Linares.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 22 Aug 2020 20:43:42 +0100

ifplugd (0.28-19.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Pass --with-initdir=/etc/init.d to configure (Closes: #902142).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 23 Jun 2018 12:31:27 +0200

ifplugd (0.28-19.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Vcs-* pointing to dgit.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 24 Apr 2018 18:14:17 +0200

ifplugd (0.28-19.2) unstable; urgency=low

  * Non-maintainer upload.

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664355).
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

  [ Andrew Shadura ]
  * Simplify debian/rules by porting it to the short dh form.
  * Add a patch from upstream to allow ifplugd usage on machines that lack
    IPv4.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 21 Jun 2016 12:27:13 +0200

ifplugd (0.28-19.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/ifplugd.udev.agent: Drop using the obsolete and udev-private
    /lib/udev/hotplug.functions and directly call logger for the debug
    messages and echo to stderr for invalid usage. (Closes: #810116)

 -- Martin Pitt <mpitt@debian.org>  Wed, 27 Apr 2016 00:34:24 +0200

ifplugd (0.28-19) unstable; urgency=low

  * Added interface poll delay < 1sec using the new -T option. (Closes:
    638854) - thanks to George Shuklin
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Removed references to Vcs-{Svn,Browser} since not used.

 -- Walter Franzini <walter.franzini@gmail.com>  Mon, 29 Aug 2011 09:25:34 +0200

ifplugd (0.28-18) unstable; urgency=low

  * Updates Danish debconf translation. (Closes: 596153)
  * New maintainer. (Closes: 551881)
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Walter Franzini <walter.franzini@gmail.com>  Tue, 23 Nov 2010 09:25:48 +0100

ifplugd (0.28-17) unstable; urgency=low

  * Orphaning this package - I don't use it anymore to do justice
    + Removed myself from the Maintainer: field in debian/control
    + Set "Maintainer: Debian QA Group <packages@qa.debian.org>"

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Sun, 06 Dec 2009 10:26:23 +0530

ifplugd (0.28-16) unstable; urgency=low

  * Install a script for supporting suspend/resume with pm-utils and apmd.
    Thanks Harald Braumann <harry@unheit.net> for the fix (Closes: #527583
    Closes: #551530)
  * Update Standards-Version to 3.8.3 (no changes required)
  * Fix lintian P:maintainer-script-without-set-e 

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Wed, 21 Oct 2009 17:08:12 +0530

ifplugd (0.28-15) unstable; urgency=low

  * Add README.source to be compliant with policy 3.8.0
  * Update Maintainer to official Debian ID
  * Remove DM-Upload-Allowed: yes
  * Add ${misc:Depends} to Depends: instead of explicit debconf
    dependency.  Fixes lintian W: debhelper-but-no-misc-depends
  * waproamd is to be removed from the archive, don't suggest it anymore
    (Closes: #509393)
  * Patch 06_509015_better_delays: with -u0/-d0, don't wait for an extra
    polling cycle.  Shorten polling delay when an action is scheduled to
    happen before the delay expires.  Thanks Michel Lespinasse
    <walken@zoy.org> (Closes: #509015)
  * Update Standards-Version to 3.8.1 (no changes required)

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Tue, 24 Mar 2009 12:37:01 +0530

ifplugd (0.28-14) unstable; urgency=low

  * Thanks to Kel Modderman <kel@otaku42.de> for all the patches.
  * Use lsb-base logging functions for initscript output (Closes: #500571)
  * Various enhancements to the initscript (sysfs rather than procfs etc.)
  * Handle [HOTPLUG_]INTERFACES during config/upgrade/remove (Closes: #500570)
    and (Closes: #437535)

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Tue, 30 Sep 2008 14:03:36 +0530

ifplugd (0.28-13) unstable; urgency=low

  * The "Thanks Kel Modderman <kel@otaku42.de> for patches" release
    + Run action scripts in reverse when action=down and remove
      --exit-on-error.  (Closes: #488536)
    + Silence the initscript if INTERFACES is empty (Closes: #487197)
    + Wait for "lo" != down before starting ifplugd (Closes: #325614)

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Mon, 22 Sep 2008 18:08:10 +0530

ifplugd (0.28-12) unstable; urgency=low

  * Thanks for updated debconf translations:
    + Swedish: Martin Ågren <martin.agren@gmail.com> (Closes: #492161)
  * Shorten copyright line, fixes W: debian-copyright-line-too-long
  * Update to Standards-Version: 3.8.0, no changes.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Mon, 04 Aug 2008 22:19:25 +0530

ifplugd (0.28-11) unstable; urgency=low

  * Thanks for updated debconf translations:
    + Dutch: "cobaco (aka Bart Cornelis)" <cobaco@skolelinux.no>
      (Closes: #480147)
    + Italian: Luca Monducci <luca.mo@tiscali.it> (Closes: #480475)
  * Handle ifplugd start/stop of hotplugged devices without using the init
    script (Closes: #479358)

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Fri, 16 May 2008 22:02:59 +0530

ifplugd (0.28-10) unstable; urgency=low

  * Thanks for updated debconf translations
    + Vietnamese: Clytie Siddall <clytie@riverland.net.au> (Closes: #477320)
    + French: Christian Perrier <bubulle@debian.org> and Jean-Luc Coulon

