=== debian/control ===
Source: ifplugd
Section: net
Priority: optional
Maintainer: Walter Franzini <walter.franzini@gmail.com>
Build-Depends: debhelper (>= 9), autotools-dev, libdaemon-dev (>= 0.7), pkgconf, po-debconf, systemd-dev
Standards-Version: 3.9.8
Homepage: http://0pointer.de/lennart/projects/ifplugd/
Vcs-Git: https://git.dgit.debian.org/ifplugd
Vcs-Browser: https://browse.dgit.debian.org/ifplugd.git/

Package: ifplugd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Recommends: ifupdown (>= 0.6.4-4.2)
Suggests: wpasupplicant
Description: configuration daemon for ethernet devices
 ifplugd is a daemon which will automatically configure your ethernet device
 when a cable is plugged in and automatically de-configure it if the cable is
 pulled out. This is useful on laptops with onboard network adapters, since it
 will only configure the interface when a cable is really connected.  Features
 include:
 .
  * syslog support
  * Multiple ethernet interface support
  * Uses Debian's native ifup/ifdown programs
  * Small executable size and memory footprint
  * Option to beep when the cable is unplugged or plugged
  * Option to beep when the interface configuration succeeds or fails
  * Can be configured to ignore short unplugged or plugged periods
  * Configure WLAN devices (on detecting a successful association to an AP)
  * Supports SIOCETHTOOL, SIOCGMIIREG and SIOCDEVPRIVATE for getting link status
  * Compatibility mode for network devices which do not support cable detection
